tclap 1.2.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
TCLAP::HelpVisitor Class Reference

A Visitor object that calls the usage method of the given CmdLineOutput object for the specified CmdLine object. More...

`#include <HelpVisitor.h>`

Inheritance diagram for TCLAP::HelpVisitor:

## Public Member Functions
| HelpVisitor (CmdLineInterface *cmd, CmdLineOutput **out)
| Constructor. More...
void | visit ()
| Calls the usage method of the CmdLineOutput for the specified CmdLine. More...
Public Member Functions inherited from TCLAP::Visitor
| Visitor ()
| Constructor. More...
virtual | ~Visitor ()
| Destructor. More...

## Protected Attributes
CmdLineInterface * | _cmd
| The CmdLine the output will be generated for. More...
CmdLineOutput ** | _out
| The output object. More...

## Detailed Description

A Visitor object that calls the usage method of the given CmdLineOutput object for the specified CmdLine object.

Definition at line 35 of file HelpVisitor.h.

## Constructor & Destructor Documentation

TCLAP::HelpVisitor::HelpVisitor | ( | CmdLineInterface * | cmd,
|  | CmdLineOutput ** | out
| ) |  |
| inline

Constructor.

Parameters

  cmd | - The CmdLine the output will be generated for.
  out | - The type of output.

Definition at line 63 of file HelpVisitor.h.

## Member Function Documentation

void TCLAP::HelpVisitor::visit | ( |  | ) |
| inline virtual

Calls the usage method of the CmdLineOutput for the specified CmdLine.

Reimplemented from TCLAP::Visitor.

Definition at line 70 of file HelpVisitor.h.

## Member Data Documentation

CmdLineInterface* TCLAP::HelpVisitor::_cmd
| protected

The CmdLine the output will be generated for.

Definition at line 49 of file HelpVisitor.h.

CmdLineOutput** TCLAP::HelpVisitor::_out
| protected

The output object.

Definition at line 54 of file HelpVisitor.h.

The documentation for this class was generated from the following file:

- HelpVisitor.h